--------------------------------------------------------------------------------
-- Lose Ground by Holzchopf
-- v1.1 - 28 Sep 2011	- Updated hierarchy
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.loseground={}

-- load ressources
holzchopf.loseground.gfx_icn=loadgfx("holzchopf/loseground.png")
setmidhandle(holzchopf.loseground.gfx_icn)
holzchopf.loseground.sfx_attack=loadsfx("crumble.ogg")

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.loseground.id=addweapon("holzchopf.loseground","Lose Ground",holzchopf.loseground.gfx_icn,0)

function holzchopf.loseground.draw()
end

function holzchopf.loseground.attack(attack)
	if (weapon_shots<=0) and (attack==1) then
		-- use weapon
		weapon_shots=weapon_shots+1
		useweapon(0)
		-- make holes
		players=playertable(0,0)
		for i=1,#players,1 do
			id=players[i]
			x=getplayerx(id)
			y=getplayery(id)+15
			terraincircle(x,y,10,0x00000000)
			-- effect
			for i=1,5,1 do
				particle(p_fragment,x+math.random(-10,10),y+math.random(-10,10))
			end
		end
		playsound(holzchopf.loseground.sfx_attack)
		endturn()
	end
end